petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMInterpolate

interpolates user-defined problem data to a finer DM by running hooks registered by DMRefineHookAdd()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMInterpolate(DM coarse,Mat interp,DM fine)

Collective if any hooks are

### Input Arguments

| coarse | - coarser DM to use as a base
| interp | - interpolation matrix, apply using MatInterpolate()
| fine | - finer DM to update

### See Also

DMRefineHookAdd(), MatInterpolate()

### Level

developer

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages